=== debian/changelog ===
initrd-progs (1.0-3) unstable; urgency=low

  * Fix memory leak

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 19 Mar 2016 16:05:46 +0100

initrd-progs (1.0-2) unstable; urgency=low

  * Accept colors for text2screen in RGB565 format too
  * Do not clear background in text mode if bg_color is not specified

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 24 Apr 2013 21:50:10 +0200

initrd-progs (1.0-1) unstable; urgency=low

  * Initial release

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 31 Dec 2012 17:55:40 +0100
